<?
$usuario=$_POST[usuario];
$pwd=$_POST[pwd];

//$id=$_SESSION[id];
if(!isset($usuario) || !isset($pwd))//aqui pregunta si las variables(nombre de los campos en login.HTM) no están iniciadas
	{
   	header("location:index.php");//te manda otra vez a logdis.HTM
  	}
elseif(empty($usuario) || empty($pwd))//Si estan vacíos los campos...
	{
   	header("location:index.php");//tmb te da pa atras
	}
	
else
	{ //si no estan vaciós
	$usr = addslashes($_POST['usuario']);//$usr es igual al campo usuario de login.HTM
    
   	//addslashes es para escapar los caracteres especiales en mysql
   	$pw = md5($_POST['pwd']);
    
	/* $pw es igual a lo de pass, pero encriptado con 
	md5 que convierte cualquier cadena en otra cadena de 32 caracteres, en la 
	tabla tmb debes a la hora de insertar usuarios que sea de tamaño 32 y 
	encriptados con md5*/
    
	require('coneccion.php');
   
	$cons="select * from cie_cct where clavecct='$usuario' and clavecct='$pwd'";
   	$res=mysql_query($cons);
   	$checa_rows=mysql_num_rows($res);//cuenta los registros que devuelve la consulta
                
   	if($checa_rows>0)//si los registros es mayor a cero
    	{
	  	while($rows = mysql_fetch_array($res))
      		{
			session_name("SESION");
			session_start();//se inicia la sesión

			session_register('id','password','lugar');
			$_SESSION['id']=$rows[row_id];
			$_SESSION['password']=$pwd;	
			$_SESSION['lugar']=0;						
			//$_SESSION['razon']="Nombre de usuario o password incorrecto";			


			// Paranoia: decimos al navegador que no "cachee" esta página.
			session_cache_limiter('nocache,private');
	   	   
       		if ( !isset($_SESSION['sesion']))
        		{
         		$_SESSION['sesion'] = 1;
        		}	?>
			<script>
			var pagina="login.php"
			location.href=pagina
			</script>
			<?
	  		header("location:login.php");//se manda a la página que quieres entrar
      		}
    	}
	else
    	{  
	     //si hay 0 registros
    	header("location:index.php");//te devuelve a login.htm
	    }
 	}

?> 
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<script>
var pagina="index.php"
location.href=pagina
</script>
</body>
</html>

